#include <stdio.h>

int long long N,K,X;

int main()
{
    scanf("%lld%lld%lld",&N,&K,&X);
    
    if(K==3){
     for(int i=0;i<N-4;i++) printf("%d",X/2);
     printf("%d %d %d %d",X+1,0,0,0);
    }
    
    return 0;
}